## php8.0 8.0.1

=== debian/changelog ===
php8.0 (8.0.1-1) unstable; urgency=medium

  * New upstream version 8.0.1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 Jan 2021 11:05:21 +0100

php8.0 (8.0.0-1) unstable; urgency=medium

  * Update d/watch for production PHP 8.0 release
  * New upstream version 8.0.0

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Nov 2020 12:28:33 +0100

php8.0 (8.0.0~rc3-4) unstable; urgency=medium

  * Copy the files from auxdir in a separate variable to sync with PHP 7.3
    and lower

 -- Ondřej Surý <ondrej@debian.org>  Sat, 31 Oct 2020 18:05:42 +0100

php8.0 (8.0.0~rc3-3) unstable; urgency=medium

  * Move the non-m4 files from LIBTOOL_FILES to FILES_BUILD

 -- Ondřej Surý <ondrej@debian.org>  Sat, 31 Oct 2020 11:06:16 +0100

php8.0 (8.0.0~rc3-2) unstable; urgency=medium

  * Move the system wide phpize files to LIBTOOL_FILES

 -- Ondřej Surý <ondrej@debian.org>  Sat, 31 Oct 2020 11:05:46 +0100

php8.0 (8.0.0~rc3-1) unstable; urgency=medium

  * New upstream version 8.0.0~rc3

 -- Ondřej Surý <ondrej@debian.org>  Fri, 30 Oct 2020 20:32:59 +0100

php8.0 (8.0.0~rc1-6) unstable; urgency=medium

  * In phpize, copy the foreign files from their respective packages
    (libtool, pkg-config, shtool)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Oct 2020 21:42:45 +0200

php8.0 (8.0.0~rc1-5) unstable; urgency=medium

  * Include all libtool files from phpize.m4

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Oct 2020 13:38:45 +0200

php8.0 (8.0.0~rc1-4) unstable; urgency=medium

  * Use system-wide pkg.m4 from pkg-config package in phpize
  * Restore the patch to use system-wide libtool and pkg-config m4 files

 -- Ondřej Surý <ondrej@debian.org>  Sat, 17 Oct 2020 08:33:56 +0200

php8.0 (8.0.0~rc1-3) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Use netcat-openbsd to build instead of netcat-traditional (Closes: #963261)

  [ Pino Toscano ]
  * Disable AppArmor support on non-Linux archs (Closes: #951857)
  * Enable systemd integration only on Linux archs (Closes: #951834)

  [ Ondřej Surý ]
  * Use just php_module in the apache2 .load file

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Oct 2020 16:01:02 +0200

php8.0 (8.0.0~rc1-2) unstable; urgency=medium

  * Disable the MySQL extension testing as it's too complicated

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Oct 2020 21:45:35 +0200

php8.0 (8.0.0~rc1-1) unstable; urgency=medium

  * Regenerate d/control for PHP 8.0
  * New upstream version 8.0.0~rc1
  * Specify the socket via ./configure option rather than patch
  * XMLRPC extension is no longer bundled
  * The JSON extension is always available
  * Fix syntax-error-in-dep5-copyright
  * Update lintian overrides
  * Remove obsolete d/NEWS

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Oct 2020 20:11:17 +0200

php7.4 (7.4.11-1) unstable; urgency=medium

  * New upstream version 7.4.11

 -- Ondřej Surý <ondrej@debian.org>  Tue, 06 Oct 2020 12:34:39 +0200

php7.4 (7.4.10-1) unstable; urgency=medium

  * New upstream version 7.4.10
  * Lower the minimal debhelper dependency to >= 9.20150101~
  * Use libenchant-dev as Build-Depends alternative to libenchant-2-dev
  * Remove deprecated calls from enchant-2 (Closes: #954855)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 08 Sep 2020 12:22:27 +0200

php7.4 (7.4.9-2) unstable; urgency=medium

  * Pull upstream patch for enchant-2 and change build-dep (Closes: #954855)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Aug 2020 15:37:23 +0200

php7.4 (7.4.9-1) unstable; urgency=medium

  * New upstream version 7.4.9

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Aug 2020 16:27:40 +0200

php7.4 (7.4.8-1) unstable; urgency=medium

  * Finish updating the packaging to dh compat level 10
  * New upstream version 7.4.8
  * Adjust for upstream phar.phar -> phar7.4.phar binary rename

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Jul 2020 18:35:53 +0200

php7.4 (7.4.7-1) unstable; urgency=medium

  * New upstream version 7.4.7

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 Jun 2020 09:42:27 +0200

php7.4 (7.4.6-1) unstable; urgency=medium

  * Properly detect CRC32 APIs on aarch64 from configure
  * New upstream version 7.4.6

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 May 2020 11:59:59 +0200

php7.4 (7.4.5-1) unstable; urgency=medium

  * New upstream version 7.4.5

 -- Ondřej Surý <ondrej@debian.org>  Sun, 19 Apr 2020 09:35:13 +0200

php7.4 (7.4.4-1) unstable; urgency=medium

  * Add (non-existent yet) systemd-tmpfiles package as alternative to systemd
  * php-fpm has to depend on procps due kill usage in systemd service file
    (Closes: #861855)
  * New upstream version 7.4.4

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Mar 2020 14:45:16 +0100

php7.4 (7.4.3-4) unstable; urgency=medium

  * Remove /etc/init/php@PHP_VERSION@-fpm.conf, not
    /etc/init/php@PHP_VERSION@.conf (Closes: #951745)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Feb 2020 08:07:28 +0100

php7.4 (7.4.3-3) unstable; urgency=medium

  * Fixup upstart removal (missing prepare-files update) (Closes: #951745)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 21 Feb 2020 18:01:35 +0100

php7.4 (7.4.3-2) unstable; urgency=medium

  * Remove the PIDFile= setting from systemd unit file (it should not be
    needed with Type=notify)
  * Use php-fpm-socket-helper from php-common >= 1:73 to update the
    default socket

 -- Ondřej Surý <ondrej@debian.org>  Fri, 21 Feb 2020 09:59:48 +0100

php7.4 (7.4.3-1) unstable; urgency=medium

  * Remove upstart support, use systemd-tmpfiles to create tmpfiles
    (Closes: #923032)
  * New upstream version 7.4.3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Feb 2020 13:12:06 +0100

php7.4 (7.4.2-7) unstable; urgency=medium

  * Add a note about PIDFile= and pid= match in php-fpm.conf
  * Silently ignore errors from update-alternatives in php-fpm.service

 -- Ondřej Surý <ondrej@debian.org>  Sat, 08 Feb 2020 13:04:50 +0100

php7.4 (7.4.2-6) unstable; urgency=medium

  * Use absolute path to update-alternatives


