=== debian/tests/control ===
Tests: cli
Depends: php8.0-cli,
         wget

Tests: cgi
Depends: apache2,
         php8.0-cgi,
         wget
Restrictions: needs-root

Tests: mod-php
Depends: apache2,
         libapache2-mod-php8.0,
          wget
Restrictions: needs-root

Tests: fpm
Depends: apache2,
         php8.0-fpm,
         wget
Restrictions: needs-root
