## php8.0 8.0.8

=== debian/changelog ===
php8.0 (8.0.8-1ubuntu0.4) impish-security; urgency=medium

  * SECURITY UPDATE: RCE via Uninitialized array in pg_query_params()
    - debian/patches/CVE-2022-31625.patch: don't free parameters which
      haven't initialized yet in ext/pgsql/pgsql.c,
      ext/pgsql/tests/bug81720.phpt.
    - CVE-2022-31625
  * SECURITY UPDATE: RCE via mysqlnd/pdo password buffer overflow
    - debian/patches/CVE-20022-31626.patch: properly calculate size in
      ext/mysqlnd/mysqlnd_wireprotocol.c.
    - CVE-2022-31626

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 13 Jun 2022 09:51:21 -0400

php8.0 (8.0.8-1ubuntu0.3) impish-security; urgency=medium

  * SECURITY UPDATE: DoS in zend_string_extend function
    - debian/patches/CVE-2017-8923.patch: fix integer Overflow when
      concatenating strings in Zend/zend_vm_def.h, Zend/zend_vm_execute.h.
    - CVE-2017-8923
  * SECURITY UPDATE: out of bounds access in php_pcre_replace_impl
    - debian/patches/CVE-2017-9118-pre1.patch: fix heap buffer overflow via
      str_repeat in Zend/zend_operators.c, Zend/zend_string.h.
    - debian/patches/CVE-2017-9118-pre3.patch: fix too much memory is
      allocated for preg_replace() in ext/pcre/php_pcre.c,
      ext/pcre/tests/bug81243.phpt.
    - debian/patches/CVE-2017-9118.patch: fix out of bounds in
      php_pcre_replace_impl in Zend/zend_string.h, ext/pcre/php_pcre.c.
    - CVE-2017-9118
  * SECURITY UPDATE: DoS via integer overflow in mysqli_real_escape_string
    - debian/patches/CVE-2017-9120.patch: fix overflow in
      ext/mysqli/mysqli_api.c.
    - CVE-2017-9120
  * SECURITY UPDATE: filename truncation issue in XML parsing functions
    - debian/patches/CVE-2021-21707.patch: special character is breaking
      the path in xml function in ext/dom/domimplementation.c,
      ext/dom/tests/bug79971_2.phpt, ext/libxml/libxml.c,
      ext/simplexml/tests/bug79971_1.phpt,
      ext/simplexml/tests/bug79971_1.xml.
    - CVE-2021-21707

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 03 Mar 2022 09:51:53 -0500

php8.0 (8.0.8-1ubuntu0.2) impish-security; urgency=medium

  * SECURITY UPDATE: Use after free
    - debian/patches/CVE-2021-21708.patch: change the call to
      zval_ptr_dtor in ext/filter/logical_filters.c to be done
      after a validation is succeeded, and add a test for this
      case in ext/filter/tests/bug81708.phpt
    - CVE-2021-21708

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Thu, 24 Feb 2022 12:03:09 -0300

php8.0 (8.0.8-1ubuntu0.1) impish-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read/write
    - debian/patches/CVE-2021-21703.patch: The main change is to
      store scoreboard procs directly to the variable sized
      array rather than indirectly through the pointer in
      sapi/fpm/fpm/fpm_children.c, sapi/fpm/fpm/fpm_request.c,
      sapi/fpm/fpm/fpm_scoreboard.c, sapi/fpm/fpm/fpm_scoreboard.h,
      sapi/fpm/fpm/fpm_status.c, sapi/fpm/fpm/fpm_worker_pool.c.
    - CVE-2021-21703

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 26 Oct 2021 08:42:42 -0300

php8.0 (8.0.8-1build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 06:17:39 +0200

php8.0 (8.0.8-1) unstable; urgency=medium

  * New upstream version 8.0.8 (Closes: #990575)
   + CVE-2021-21705: SSRF bypass in FILTER_VALIDATE_URL
   + CVE-2021-21704: Stack buffer overflow in firebird_info_cb
   + CVE-2021-21704: SIGSEGV in firebird_handle_doer
   + CVE-2021-21704: SIGSEGV in firebird_stmt_execute
   + CVE-2021-21704: Crash while parsing blob data in firebird_fetch_blob

 -- Ondřej Surý <ondrej@debian.org>  Thu, 01 Jul 2021 17:25:46 +0200

php8.0 (8.0.7-1) unstable; urgency=medium

  * Disable LTO (needed for Ubuntu Hirsute) - now for real
  * New upstream version 8.0.7

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Jun 2021 12:03:18 +0200

php8.0 (8.0.5-2) unstable; urgency=medium

  * Disable LTO (needed for Ubuntu Hirsute)
  * Revert: Fix bug #80892 PDO::PARAM_INT on pdo_pgsql

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 May 2021 13:29:29 +0200

php8.0 (8.0.5-1) unstable; urgency=medium

  * New upstream version 8.0.5

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 May 2021 10:38:31 +0200

php8.0 (8.0.3-3) unstable; urgency=medium

  * Allow printing credits buffer larger than 4k

 -- Ondřej Surý <ondrej@debian.org>  Sat, 03 Apr 2021 16:19:27 +0200

php8.0 (8.0.3-2) unstable; urgency=medium

  * Update the packaging credits

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Mar 2021 10:40:39 +0100

php8.0 (8.0.3-1) unstable; urgency=medium

  * New upstream version 8.0.3

 -- Ondřej Surý <ondrej@debian.org>  Fri, 05 Mar 2021 08:50:54 +0100

php8.0 (8.0.2-7) unstable; urgency=medium

  * Bump php-common depends to 1:81~

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Feb 2021 15:58:27 +0100

php8.0 (8.0.2-6) unstable; urgency=medium

  * Add example configuration to not pass URLs for missing files to
    PHP-FPM

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 17:48:30 +0100

php8.0 (8.0.2-5) unstable; urgency=medium

  * Revert "Don't pass URLs for missing files to PHP-FPM"

 -- Ondřej Surý <ondrej@debian.org>  Fri, 19 Feb 2021 16:33:16 +0100

php8.0 (8.0.2-4) unstable; urgency=medium

  [ Svante Signell ]
  * Add patch to disable HR Timers on GNU Hurd (Closes: #951834)
  * Add --without build-stamp to dh invocation

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2021 19:42:14 +0100

php8.0 (8.0.2-3) unstable; urgency=medium

  [ Sylvain Beucler ]
  * Update obsolete/non-free FPM configuration procedure

  [ Kevin Locke ]
  * Don't pass URLs for missing files to PHP-FPM

  [ Ondřej Surý ]
  * Check if the logrotate script exists (GH #1534)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 15:02:37 +0100

php8.0 (8.0.2-2) unstable; urgency=medium

  * Enable AppArmor support in FPM
  * Enable FPM ACL support


