=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: php8.0
 Section: php
 Priority: optional
-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
@@ -17,6 +18,7 @@
                flex,
                freetds-dev,
                libapparmor-dev [linux-any],
+               libacl1-dev,
                libapr1-dev (>= 1.2.7-8),
                libargon2-dev | libargon2-0-dev,
                libbz2-dev,
@@ -292,7 +294,7 @@
 
 Package: php8.0-bcmath
 Architecture: any
-Depends: php-common (>= 1:73),
+Depends: php-common (>= 1:81~),
          ucf,
          ${misc:Depends},
          ${php:Depends},
@@ -315,7 +317,7 @@
 
 Package: php8.0-bz2
 Architecture: any
-Depends: php-common (>= 1:73),
+Depends: php-common (>= 1:81~),
          ucf,
          ${misc:Depends},
          ${php:Depends},
@@ -338,7 +340,7 @@
 
 Package: php8.0-common
 Architecture: any
-Depends: php-common (>= 1:73),
+Depends: php-common (>= 1:81~),
          ucf,
          ${misc:Depends},
          ${php:Depends},
@@ -353,5 +355,3 @@
 Provides: ${php-common:Provides}
 Recommends: ${php-common:Recommends}
 Description: documentation, examples and common module for PHP
- This package provides the documentation, examples and common module(s) for PHP.
- .
