=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+# Hardcode correct absolute path to sed
+export ac_cv_path_SED = $(shell command -v sed)
 
 SANE_ARCHS := amd64 i386 arm64
 
@@ -19,7 +22,7 @@
 SHELL := /bin/sh -e
 
 # enable dpkg build flags
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
@@ -228,10 +231,6 @@
 		--prefix=/usr --enable-fpm --enable-cli --disable-cgi --disable-phpdbg \
 		--sysconfdir=/etc/php/$(PHP_NAME_VERSION)/fpm \
 		--with-fpm-user=www-data --with-fpm-group=www-data \
+		--with-fpm-acl --with-fpm-apparmor \
 		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/fpm \
 		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/fpm/conf.d \
-		$(COMMON_CONFIG) \
-		--with-libevent-dir=/usr \
-		$(CONFIGURE_SYSTEMD)
-
-export phpdbg_config = \
