## php8.0 8.0.20

=== debian/changelog ===
php8.0 (1:8.0.20-2+0~20220625.38+debian9~1.gbpde2407) unstable; urgency=medium

  ** SNAPSHOT build @de2407cb028c64cfce7393d8885f8891ed3d59e4 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Sat, 25 Jun 2022 10:14:53 +0200

php8.0 (1:8.0.20-2) unstable; urgency=medium

  * Add Provides: php-json to PHP SAPIS

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Jun 2022 09:57:03 +0200

php8.0 (1:8.0.20-1) unstable; urgency=medium

  * New upstream version 8.0.20

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Jun 2022 15:04:53 +0200

php8.0 (1:8.0.19-1) unstable; urgency=medium

  * New upstream version 8.0.19

 -- Ondřej Surý <ondrej@debian.org>  Tue, 17 May 2022 20:44:14 +0200

php8.0 (1:8.0.18-2) unstable; urgency=medium

  * Add -DOPENSSL_SUPPRESS_DEPRECATED to CFLAGS to support OpenSSL 3.0
  * Add minimal OpenSSL 3.0 patch
  * Bump epoch to 1 to workaround Ubuntu messing with older PHP packages

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 May 2022 06:39:28 +0200

php8.0 (8.0.18-1) unstable; urgency=medium

  * New upstream version 8.0.18

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2022 12:09:26 +0200

php8.0 (8.0.17-1) unstable; urgency=medium

  * New upstream version 8.0.17

 -- Ondřej Surý <ondrej@debian.org>  Sun, 20 Mar 2022 17:49:30 +0100

php8.0 (8.0.16-1) unstable; urgency=medium

  * New upstream version 8.0.16

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Feb 2022 15:40:22 +0100

php8.0 (8.0.15-1) unstable; urgency=medium

  * New upstream version 8.0.15

 -- Ondřej Surý <ondrej@debian.org>  Sat, 29 Jan 2022 08:23:57 +0100

php8.0 (8.0.14-1) unstable; urgency=medium

  * New upstream version 8.0.14

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Dec 2021 22:18:31 +0100

php8.0 (8.0.13-1) unstable; urgency=medium

  * New upstream version 8.0.13

 -- Ondřej Surý <ondrej@debian.org>  Fri, 19 Nov 2021 07:28:43 +0100

php8.0 (8.0.12-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Enable AppArmor (--with-fpm-apparmor) only on Linux archs
  * Fix Vcs-* fields

 -- Ondřej Surý <ondrej@debian.org>  Sat, 13 Nov 2021 12:55:33 +0100

php8.0 (8.0.12-1) unstable; urgency=medium

  * New upstream version 8.0.12

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Oct 2021 14:03:04 +0200

php8.0 (8.0.11-1) unstable; urgency=medium

  * New upstream version 8.0.11

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Sep 2021 23:13:46 +0200

php8.0 (8.0.10-1) unstable; urgency=medium

  * New upstream version 8.0.10
  * Check for symlink before removing directory in the postrm scripts
  * Update the systzdata patch to v20 (Courtesy of Remi Collet)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 Aug 2021 17:48:38 +0200

php8.0 (8.0.9-1) unstable; urgency=medium

  * New upstream version 8.0.9

 -- Ondřej Surý <ondrej@debian.org>  Fri, 30 Jul 2021 15:01:13 +0200
