=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: php8.0
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
+Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
@@ -17,8 +16,8 @@
                firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
                flex,
                freetds-dev,
+               libacl1-dev,
                libapparmor-dev [linux-any],
-               libacl1-dev,
                libapr1-dev (>= 1.2.7-8),
                libargon2-dev | libargon2-0-dev,
                libbz2-dev,
@@ -75,8 +74,8 @@
 Build-Conflicts: bind-dev,
                  libxmlrpc-core-c3-dev
 Standards-Version: 4.5.0.0
-Vcs-Git: https://salsa.debian.org/php-team/php.git -b master-8.0
-Vcs-Browser: https://salsa.debian.org/php-team/php
+Vcs-Git: https://salsa.debian.org/php-team/php.git -b debian/main/8.0
+Vcs-Browser: https://salsa.debian.org/php-team/php/-/tree/debian/main/8.0
 Homepage: http://www.php.net/
 
 Package: libapache2-mod-php8.0
@@ -92,6 +91,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: libapache2-mod-php,
+          php-json,
           php8.0-json,
           ${php:Provides}
 Recommends: apache2
@@ -119,6 +119,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: libphp-embed,
+          php-json,
           php8.0-json,
           ${php:Provides}
 Suggests: php-pear
@@ -164,6 +165,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: php-cgi,
+          php-json,
           php8.0-json,
           ${php:Provides}
 Suggests: php-pear
@@ -192,6 +194,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: php-cli,
+          php-json,
           php8.0-json,
           ${php:Provides}
 Suggests: php-pear
@@ -210,9 +213,9 @@
          automake (>= 1.11),
          libpcre2-dev (>= 10.30),
          libssl-dev,
+         php8.0-cli (>= ${binary:Version}),
+         php8.0-common (= ${binary:Version}),
          pkg-config,
-         php8.0-cli (>= ${binary:Version}),
-         php8.0-common (= ${binary:Version}),
          shtool,
          ${libtool:Depends},
          ${misc:Depends},
@@ -243,6 +246,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: php-fpm,
+          php-json,
           php8.0-json,
           ${php:Provides}
 Suggests: php-pear
@@ -269,7 +273,8 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: php-phpdbg,
+Provides: php-json,
+          php-phpdbg,
           php8.0-json,
           ${php:Provides}
 Recommends: php-readline
@@ -354,4 +359,3 @@
 Conflicts: ${php-common:Conflicts}
 Provides: ${php-common:Provides}
 Recommends: ${php-common:Recommends}
-Description: documentation, examples and common module for PHP
