=== debian/rules ===
--- 
+++ 
@@ -124,6 +124,7 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   CONFIGURE_SYSTEMD := --with-fpm-systemd
+  CONFIGURE_APPARMOR := --with-fpm-apparmor
 endif
 
 # specify some options to our patch system
@@ -139,6 +140,9 @@
 endif
 DEB_CFLAGS_MAINT_APPEND += -Wall -pedantic -fsigned-char -fno-strict-aliasing 
 DEB_CFLAGS_MAINT_APPEND += $(shell getconf LFS_CFLAGS)
+
+# OpenSSL 3.0 support
+DEB_CFLAGS_MAINT_APPEND += -DOPENSSL_SUPPRESS_DEPRECATED
 
 # Enable IEEE-conformant floating point math on alphas (not the default)
 ifeq (alpha-linux-gnu,$(DEB_HOST_GNU_TYPE))
@@ -231,6 +235,4 @@
 		--prefix=/usr --enable-fpm --enable-cli --disable-cgi --disable-phpdbg \
 		--sysconfdir=/etc/php/$(PHP_NAME_VERSION)/fpm \
 		--with-fpm-user=www-data --with-fpm-group=www-data \
-		--with-fpm-acl --with-fpm-apparmor \
-		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/fpm \
-		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/fpm/conf.d \
+		--with-fpm-acl \
